net.minecraftforge.client.event

## Class GuiScreenEvent.ActionPerformedEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.GuiScreenEvent
    - - net.minecraftforge.client.event.GuiScreenEvent.ActionPerformedEvent

- Direct Known Subclasses:
    GuiScreenEvent.ActionPerformedEvent.Post, GuiScreenEvent.ActionPerformedEvent.Pre
  Enclosing class:
    GuiScreenEvent

      public static class GuiScreenEvent.ActionPerformedEvent
      extends GuiScreenEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiScreenEvent.ActionPerformedEvent.Post` This event fires after `GuiScreen.actionPerformed()` provided that the active screen has not been changed as a result of `GuiScreen.actionPerformed()`.
    `static class` | `GuiScreenEvent.ActionPerformedEvent.Pre` This event fires once it has been determined that a GuiButton object has been clicked.

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `GuiScreenEvent.ActionPerformedEvent, GuiScreenEvent.DrawScreenEvent, GuiScreenEvent.InitGuiEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GuiButton` | `button` The button that was clicked.
    `java.util.List` | `buttonList` A COPY of the `buttonList` field from the GuiScreen referenced by `gui`.

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `gui`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenEvent.ActionPerformedEvent(GuiScreen gui, GuiButton button, java.util.List buttonList)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### button

          public GuiButton button

      The button that was clicked.

    - #### buttonList

          public java.util.List buttonList

      A COPY of the `buttonList` field from the GuiScreen referenced by `gui`.

  - ### Constructor Detail

    - #### GuiScreenEvent.ActionPerformedEvent

          public GuiScreenEvent.ActionPerformedEvent(GuiScreen gui,
                                             GuiButton button,
                                             java.util.List buttonList)